## python-tomli 1.2.2

=== benchmark/requirements.txt ===
# NOTE
# Tomli itself is not included here because tox is used to read
# this file and install the deps, and it handles the Tomli
# installation separately.
pytomlpp
toml
tomlkit
qtoml
rtoml

=== tests/requirements.txt ===
pytest
pytest-randomly
pytest-cov >=2.12.1
python-dateutil
coverage !=6.0

=== debian/changelog ===
python-tomli (1.2.2-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 May 2022 16:32:58 -0700

python-tomli (1.2.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Jan 2022 21:22:49 -0400

python-tomli (1.2.2-2) unstable; urgency=medium

  * Change binary package to be 'all', not 'any'.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 16:59:16 +0100

python-tomli (1.2.2-1) unstable; urgency=medium

  * debian/rules: #969352 and #994281 are fixed, remove workarounds. Closes: #997534
  * debian/watch: check the tags to find the latest version
  * New upstream version
  * Freshen debian/patches/flit_pre_3.2

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 16:14:07 +0100

python-tomli (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #994599)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Sep 2021 13:16:18 +0200

=== debian/control ===
Source: python-tomli
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Testsuite: autopkgtest-pkg-python
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               python3-all,
               python3-dateutil,
               python3-pytest-xdist
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tomli
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tomli.git
Homepage: https://github.com/hukkin/tomli
Rules-Requires-Root: no

Package: python3-tomli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: lil' TOML parser for Python
 Tomli is a Python library for parsing TOML. https://toml.io/
 Tomli is fully compatible with TOML v1.0.0. https://toml.io/en/v1.0.0

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-dateutil, python3-pytest-xdist, python3-tomli
Restrictions: allow-stderr

## python-tomli 2.0.1

=== fuzzer/requirements.txt ===
# sudo apt-get install clang
wheel
atheris==2.0.3
tomli_w>=0.2.2

=== profiler/requirements.txt ===
pytest-profiling

=== debian/changelog ===
python-tomli (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Build using the pyproject pybuild plugin.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 12:58:37 -0500

python-tomli (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * debian/patches: Drop flit (<< 3.2.0) patch. (Closes: #1000665)
  * New upstream version 2.0.1.
  * Drop unused build-dep and test-build-dep: python3-dateutil.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/docs: Install README.md.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Jun 2022 14:34:38 -0400

=== debian/control ===
Source: python-tomli
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Testsuite: autopkgtest-pkg-python
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               flit (>= 3.2.0),
               pybuild-plugin-pyproject,
               python3-pytest-xdist <!nocheck>,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tomli
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tomli.git
Homepage: https://github.com/hukkin/tomli
Rules-Requires-Root: no

Package: python3-tomli
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: lil' TOML parser for Python
 Tomli is a Python library for parsing TOML. https://toml.io/
 Tomli is fully compatible with TOML v1.0.0. https://toml.io/en/v1.0.0

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-n auto -k "not test_own_pyproject" {dir}/tests

%:
	dh $@ --with python3 --buildsystem pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-tomli, python3-pytest-xdist
Restrictions: allow-stderr

## python-tomli 2.2.1

=== debian/changelog ===
python-tomli (2.2.1-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:15:13 +0000

python-tomli (2.2.1-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:09:00 +0000

python-tomli (2.2.1-2) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing. Unbreaks the build on hurd-* where
    psutil does not work.
  * Switch to autopkgtest-pkg-pybuild.
  Add missing build-dependency on flit.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 12:55:46 +0100

python-tomli (2.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Michael R. Crusoe ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Repository.
  * Compile binary modules using mypyc
  * d/control: improve package description

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 17:13:05 +0100

=== debian/control ===
Source: python-tomli
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-all-dev:native,
               libpython3-all-dev,
               python3-mypy,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-pytest-xdist <!nocheck>,
               flit,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tomli
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tomli.git
Homepage: https://github.com/hukkin/tomli
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-tomli
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: lil' TOML parser for Python
 Tomli is a Python library for parsing TOML. https://toml.io/
 Tomli is fully compatible with TOML v1.0.0. https://toml.io/en/v1.0.0
 .
 A version of Tomli, the `tomllib` module,
 was added to the standard library in Python 3.11
 via PEP 680 (https://www.python.org/dev/peps/pep-0680/).
 .
 Tomli uses [mypyc](https://github.com/mypyc/mypyc)
 to generate binary wheels for most of the widely used platforms,
 so Python 3.11+ users may prefer it over `tomllib` for improved performance.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@python-tomli-$1.tar.gz%" \
  https://github.com/hukkin/tomli/tags .*/refs/tags/@ANY_VERSION@\.tar\.gz

## python-tomli 2.4.0

=== debian/changelog ===
python-tomli (2.4.0-1) unstable; urgency=medium

  * Add myself as Uploader
  * New upstream version 2.4.0
  * Rewrite d/watch in v5 format
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Disable two useless Salsa CI jobs
  * Refresh mypyc patch

  [ Michael R. Crusoe ]
  * d/control: enhance the description with mention of compiled modules.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Jan 2026 19:21:33 +0100

=== debian/control ===
Source: python-tomli
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 libpython3-all-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-all-dev:native,
 python3-mypy,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tomli
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tomli.git
Homepage: https://github.com/hukkin/tomli
Testsuite: autopkgtest-pkg-pybuild

Package: python3-tomli
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-tomli-w,
Description: lil' TOML parser for Python
 Tomli is a Python library for parsing TOML. https://toml.io/
 Tomli is fully compatible with TOML v1.0.0. https://toml.io/en/v1.0.0
 .
 A version of Tomli, the `tomllib` module,
 was added to the standard library in Python 3.11
 via PEP 680 (https://www.python.org/dev/peps/pep-0680/).
 .
 The tomli Debian package uses mypyc to generate binary modules on all
 architectures so users may prefer it over `tomllib` for improved performance.
 .
 Tomli can only read .toml files, the write functionality is provided
 by python3-tomli-w.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
include /usr/share/dpkg/buildopts.mk
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=-n $(DEB_BUILD_OPTION_PARALLEL) -k "not test_own_pyproject" {dir}/tests
export TOMLI_USE_MYPYC=1

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hukkin
Project: tomli
